"""
-*- coding: utf-8 -*-
@Time: 2023/8/15 23:07
@Author: HW
@FileName: SIMU_gepd.py
@Mail: leowu@zju.edu.cn
@Software: SITRI_Train
"""

from pygds2 import *
from cust_pdk.gepd import gepd_lpin, gepd_vpin

# lpin
gepd_cell = gepd_lpin()
gepd_cell.addport(pos=-0.5, type='N')
gepd_cell.rect(lyr=TECH_Lyr.PAYLOAD, h=5, w=abs(gepd_cell.portS[1].pos.real - gepd_cell.portS[0].pos.real) + 1,
               pos='left_mid')
gepd_cell.fdtd(path='fsp\\', gdsview=0, fspview=1, if_GeAbs=1, gds_merge=1, typeGe=3)

# vpin
gepd_cell = gepd_vpin()
gepd_cell.addport(pos=-0.5, type='N')
gepd_cell.rect(lyr=TECH_Lyr.PAYLOAD, h=7, w=abs(gepd_cell.portS[1].pos.real - gepd_cell.portS[0].pos.real) + 1,
               pos='left_mid')
gepd_cell.fdtd(path='fsp\\', gdsview=0, fspview=1, if_GeAbs=1, gds_merge=1, typeGe=3)
